<div class='input-search-container'>
  <div class='input-group' ...attributes>
    <Input
      class='form-control input-search'
      placeholder={{capitalize (t 'search')}}
      aria-label={{capitalize (t 'search')}}
      aria-describedby='{{this.elementId}}-search'
      disabled={{this.isSearching}}
      @value={{this.searchTerm}}
      {{on 'keyup' this.keyUp}}
    />
    {{#if @hasResults}}
      <button
        class='btn btn-light btn-outline-secondary btn-search'
        type='button'
        id='{{this.elementId}}-search'
        {{on 'click' this.clear}}
      >
        <FaIcon @icon='times' />
      </button>
    {{else}}
      <button
        class='btn btn-light btn-outline-secondary btn-search'
        type='button'
        disabled={{this.isSearching}}
        id='{{this.elementId}}-search'
        {{on 'click' this.search}}
      >
        {{#if this.isSearching}}
          <div class='spinner-border spinner-border-sm' role='status'>
            <span class='visually-hidden'>Loading...</span>
          </div>
        {{else}}
          <FaIcon @icon='search' />
        {{/if}}
      </button>
    {{/if}}
  </div>

  {{#if @hasResults}}
    <div class='list-group results'>
      {{yield}}
    </div>
  {{/if}}
</div>